Package org.apache.activemq.artemis.jms.persistence.config

## Class PersistedConnectionFactory

- java.lang.Object
- - org.apache.activemq.artemis.jms.persistence.config.PersistedConnectionFactory

- All Implemented Interfaces:
    `org.apache.activemq.artemis.core.journal.EncodingSupport`

      public class PersistedConnectionFactory
      extends java.lang.Object
      implements org.apache.activemq.artemis.core.journal.EncodingSupport

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PersistedConnectionFactory()` |
    `PersistedConnectionFactory​(ConnectionFactoryConfiguration config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `decode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)` |
    `void` | `encode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)` |
    `ConnectionFactoryConfiguration` | `getConfig()` |
    `int` | `getEncodeSize()` |
    `long` | `getId()` |
    `java.lang.String` | `getName()` |
    `void` | `setId​(long id)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistedConnectionFactory

          public PersistedConnectionFactory()

    - #### PersistedConnectionFactory

          public PersistedConnectionFactory​(ConnectionFactoryConfiguration config)

      Parameters:
        `config` -

  - ### Method Detail

    - #### getId

          public long getId()

      Returns:
        the id

    - #### setId

          public void setId​(long id)

    - #### getName

          public java.lang.String getName()

    - #### getConfig

          public ConnectionFactoryConfiguration getConfig()

      Returns:
        the config

    - #### decode

          public void decode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)

      Specified by:
        `decode` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### encode

          public void encode​(org.apache.activemq.artemis.api.core.ActiveMQBuffer buffer)

      Specified by:
        `encode` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### getEncodeSize

          public int getEncodeSize()

      Specified by:
        `getEncodeSize` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`